Subject: Re: bug#55441: [cuirass] hang in "In progress..."; runs out of pgsql connections

From: Maxime Devos <[email-masked]>
Date: Thu, 26 May 2022 22:58:42 +0200

Josselin Poiret via Bug reports for GNU Guix schreef op do 26-05-2022
om 22:49 [+0200]:
> Hello everyone,
> 
> With all the recent platform changes, I was looking at `make
> cuirass-jobs` for the first time and it left some deadlocked inferiors
> as well, so I figured I could try my own solution, since I've already
> dabbled in Guile POSIX internals!  Here's a patch that rewrites
> open-bidirectional-pipe with a more thread-safe alternative,
> `piped-process`, but this also requires some Guile patches, that I will
> post as well.  With these, `make cuirass-jobs` doesn't hang at all
> anymore for me.
> 
> Let me know what you think of these
> 
> Best,

The process opening code looks fragile, so I think some tests are
required to avoid causing regressions later.

Greetings,
Maxime.